Songs
Available Methods
Songs can be retrieved via search or by supplying a direct URL to a single song. Songs are read-only and only support GET requests.
Searching songs
Songs can be searched using the URI
http://api.guitarparty.com/v2/songs/
When making the request, a single parameter named query must be supplied for the search to have any effect. If this parameter is not present the server will return a 400 Bad Request status.
Example:
curl -H 'Guitarparty-Api-Key: {API_KEY}' \
http://api.guitarparty.com/v2/songs/?query=Jolene
{
"objects": [
{
"body": "...",
"chords": [...],
"tags": [],
"title": "Jolene",
"uri": "/v2/songs/5/",
"authors": [{
"name": "Dolly Parton",
"types": ["cover", "melody", "lyrics"],
"uri": "/v2/authors/1/"
}]
},
{
"body": "...",
"chords": [...],
"tags": [],
"title": "Jolene",
"uri": "/v2/songs/3207/"
"authors": [...]
}
],
"objects_count": 2
}
Single song
Various parts of the API return songs or references to songs. These references generally include a uri attribute which allows you to retrieve more information about the song. To retrieve a single song, simply use this uri parameter as your URL via a GET request.
Note: The
uriparameter is always relative to the API host (i.e. http://api.guitarparty.com)
Example:
curl -H 'Guitarparty-Api-Key: {API_KEY}' http://api.guitarparty.com/v2/songs/5/
{
"body": "...",
"chords": [...],
"tags": [],
"title": "Jolene",
"uri": "/v2/songs/5/",
"authors": [{
"name": "Dolly Parton",
"types": ["cover", "melody", "lyrics"],
"uri": "/v2/authors/1/"
}]
}